
QGIS Application - Bug report #20328

CRASH : Settings->Options

2018-11-02 11:32 AM - al piszcz

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28149

Description

User Feedback

Install

Settings->Options

CRASH

Report Details

Crash ID: 452ad6c5c156924baee2fd79612a09da73062e9e

Stack Trace

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetPlatformIDs :

clEnqueueTask :

clEnqueueWriteBufferRect :

clEnqueueWriteBufferRect :

clWaitForEvents :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

clGetPlatformIDs :

QgsOpenClUtils::errorText :

QgsOpenClUtils::activate :

QgsQtLocationConnection::startSatelliteMonitor :

QgsQtLocationConnection::startSatelliteMonitor :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

_crtInitOnceExecuteOnce :

QgsOpenClUtils::init :

QgsOpenClUtils::available :

QgsOptions::QgsOptions :

QgisApp::createOptionsDialog :

QgisApp::showOptionsDialog :

QgisApp::options :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Related issues:

Duplicates QGIS Application - Bug report # 20363: QGIS 3.4.1 : CRASH : Settin... Closed 2018-11-05

History

#1 - 2018-11-02 11:33 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

I think this has already been solved (try a nightly build).

#2 - 2018-11-11 02:15 PM - Jürgen Fischer

- Duplicates Bug report #20363: QGIS 3.4.1 : CRASH : Settings->Options (OpenCL related) added

#3 - 2018-11-11 02:15 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
